### Method

# Camel Folder append_message

since: 3.0

#### Declaration [src]

    void
    camel_folder_append_message (
      CamelFolder* folder,
      CamelMimeMessage* message,
      CamelMessageInfo* info,
      gint io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Appends `message` to `folder` asynchronously. Only the flag and tag data from `info` are used. If `info` is `NULL`, no flags or tags will be set.

When the operation is finished, `callback` will be called. You can then call `camel_folder_append_message_finish()` to get the result of the operation.

Available since: 3.0

This method completes asynchronously. Use `camel_folder_append_message_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`message`

  Type: `CamelMimeMessage`

  A `CamelMimeMessage`.

  The data is owned by the caller of the method.

`info`

  Type: `CamelMessageInfo`

  A `CamelMessageInfo` with additional flags/etc to set on the new message, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`io_priority`

  Type: `gint`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.